<?php

use EventPortal\Domain\Util\Toast\Toast;
use Illuminate\Support\Str;

if (function_exists('has_permission') === false) {
    function has_permission(string $permission): bool
    {
        $admin = optional(auth()->user())->admin;

        if ($admin === null) {
            return false;
        }

        try {
            return $admin->hasPermissionTo($permission);
        } catch (\Spatie\Permission\Exceptions\PermissionDoesNotExist $exception) {
            return false;
        }
    }
}

if (function_exists('toast') === false) {
    function toast(): Toast
    {
        return app('toast');
    }
}

if (function_exists('asOption') === false) {
    function asOption(string $option): array
    {
        return ['label' => Str::ucfirst(Str::snake($option, ' ')), 'value' => $option];
    }
}
