<?php

namespace EventPortal\Domain\Event\Form;

use EventPortal\Domain\Event\Models\Event;
use Illuminate\Support\Arr;
use Illuminate\Support\Collection;
use Illuminate\Support\Str;

class FormData
{
    protected $data;

    protected $event;

    public function __construct(array $data, Event $event)
    {
        $this->data = $data;
        $this->event = $event;
    }

    public function toArray(): array
    {
        $form['id'] = Arr::get($this->data, 'id');
        $form['name'] = Arr::get($this->data, 'name');
        $form['type'] = Arr::get($this->data, 'type.value');
        $form['uuid'] = Str::uuid();
        $form['event_id'] = $this->event->id;

        return $form;
    }

    public function steps(): Collection
    {
        return collect(Arr::get($this->data, 'steps'));
    }
}
