<?php

namespace EventPortal\Domain\Event\Form;

use EventPortal\Domain\Event\Form\Models\FormStepSection;
use Illuminate\Support\Arr;
use Illuminate\Support\Collection;

class QuestionData
{
    protected $data;

    protected $formStepSection;

    public function __construct(array $data, FormStepSection $formStepSection)
    {
        $this->data = $data;
        $this->formStepSection = $formStepSection;
    }

    public function getId(): ?int
    {
        return Arr::get($this->data, 'id');
    }

    public function toArray(): array
    {
        $question['id'] = Arr::get($this->data, 'id');
        $question['form_step_section_id'] = $this->formStepSection->id;
        $question['question'] = Arr::get($this->data, 'question');
        $question['order'] = Arr::get($this->data, 'order');
        $question['help_text'] = Arr::get($this->data, 'helpText');
        $question['help_position'] = Arr::get($this->data, 'helpPosition');
        $question['gdpr_type'] = Arr::get($this->data, 'gdprType');
        $question['required'] = Arr::get($this->data, 'required');
        $question['type'] = Arr::get($this->data, 'component.name.value');
        $question['uuid'] = Arr::get($this->data, 'uuid');

        return $question;
    }

    public function options(): Collection
    {
        return collect(Arr::get($this->data, 'component.options'))
            ->reject(static function ($option): bool {
                return Arr::get($option, 'value') === null;
            });
    }

    public function validations(): Collection
    {
        return collect(Arr::get($this->data, 'validations'));
    }

    public function isRequired(): bool
    {
        return Arr::get($this->data, 'required') === true;
    }
}
