<?php

namespace EventPortal\Domain\Event\Form;

use EventPortal\Domain\Event\Form\Models\FormStep;
use Illuminate\Support\Arr;
use Illuminate\Support\Collection;

class SectionData
{
    protected $data;

    protected $formStep;

    public function __construct(array $data, FormStep $formStep)
    {
        $this->data = $data;
        $this->formStep = $formStep;
    }

    public function getId(): ?int
    {
        return Arr::get($this->data, 'id');
    }

    public function toArray(): array
    {
        $section['id'] = Arr::get($this->data, 'id');
        $section['form_step_id'] = $this->formStep->id;
        $section['name'] = Arr::get($this->data, 'name');
        $section['order'] = Arr::get($this->data, 'order');
        $section['uuid'] = Arr::get($this->data, 'uuid');

        return $section;
    }

    public function questions(): Collection
    {
        return collect(Arr::get($this->data, 'questions'));
    }
}
