<?php

namespace EventPortal\Domain\Event\Form;

use EventPortal\Domain\Event\Form\Models\Form;
use Illuminate\Support\Arr;
use Illuminate\Support\Collection;

class StepData
{
    protected $data;

    protected $form;

    public function __construct(array $data, Form $form)
    {
        $this->data = $data;
        $this->form = $form;
    }

    public function getId(): ?int
    {
        return Arr::get($this->data, 'id');
    }

    public function toArray(): array
    {
        $step['id'] = Arr::get($this->data, 'id');
        $step['form_id'] = $this->form->id;
        $step['name'] = Arr::get($this->data, 'name');
        $step['order'] = Arr::get($this->data, 'order');
        $step['uuid'] = Arr::get($this->data, 'uuid');

        return $step;
    }

    public function sections(): Collection
    {
        return collect(Arr::get($this->data, 'sections'));
    }
}
