<?php

namespace EventPortal\Domain\Event\Form;

use EventPortal\Domain\Event\Form\Models\Question;
use Illuminate\Support\Arr;

class ValidationData
{
    protected $data;

    protected $question;

    public function __construct(array $data, Question $question)
    {
        $this->data = $data;
        $this->question = $question;
    }

    public function getId(): ?int
    {
        return Arr::get($this->data, 'id');
    }

    public function toArray(): array
    {
        $validation['id'] = Arr::get($this->data, 'id');
        $validation['question_id'] = $this->question->id;
        $validation['rule'] = Arr::get($this->data, 'rule');
        $validation['message'] = Arr::get($this->data, 'message');

        return $validation;
    }
}
