<?php

namespace EventPortal\Domain\Event\Form\ValueObjects;

use EventPortal\Domain\Event\Models\Event;
use Illuminate\Contracts\Support\Arrayable;
use Illuminate\Support\Arr;

class FormData implements Arrayable
{
    /** @var int */
    public $id;

    /** @var string */
    public $name;

    /** @var string */
    public $type;

    /** @var string */
    public $uuid;

    /** @var int */
    public $eventId;

    /** @var \Illuminate\Support\Collection */
    public $steps;

    public function __construct(array $data, Event $event)
    {
        $this->id = (int) Arr::get($data, 'id');
        $this->name = Arr::get($data, 'name');
        $this->type = Arr::get($data, 'type.value');
        $this->uuid = Arr::get($data, 'uuid');
        $this->eventId = (int) $event->id;
        $this->steps = collect(Arr::get($data, 'steps'))
            ->mapInto(StepData::class)
            ->filter();
    }

    public function toArray(): array
    {
        return [
            'id' => $this->id,
            'name' => $this->name,
            'type' => $this->type,
            'uuid' => $this->uuid,
            'event_id' => $this->eventId,
        ];
    }
}
