<?php

namespace EventPortal\Domain\Event\Form\ValueObjects;

use Illuminate\Support\Arr;

class StepData
{
    /** @var int */
    public $id;

    /** @var int */
    public $formId;

    /** @var string */
    public $name;

    /** @var int */
    public $order;

    /** @var string */
    public $uuid;

    public function __construct(array $step)
    {
        $this->id = (int) Arr::get($step, 'id');
        $this->formId = (int) Arr::get($step, 'form_id');
        $this->name = Arr::get($step, 'name');
        $this->order = (int) Arr::get($step, 'order');
        $this->uuid = Arr::get($step, 'uuid');
    }

    public function toArray(): array
    {
        return [
            'id' => $this->id,
            'form_id' => $this->formId,
            'name' => $this->name,
            'order' => $this->order,
            'uuid' => $this->uuid,
        ];
    }
}
