<?php

namespace EventPortal\Domain\Event\Handlers;

use Closure;
use EventPortal\Domain\Form\Payload;
use EventPortal\Enums\EmailType;

class CreateEmails
{
    /**
     * @return mixed
     */
    public function __invoke(Payload $payload, Closure $next)
    {
        // Currently generating an email of every type - this might need to be changed to only default types in future.
        $emails = collect(EmailType::getIndices())->map(static function (int $type) {
            return [
                'type' => $type,
            ];
        });

        $payload->getModel()->emails()->createMany($emails);

        return $next($payload);
    }
}
