<?php

namespace EventPortal\Http\Controllers\Admin\Event\Form;

use EventPortal\Domain\Event\Form\Enums\QuestionType;
use EventPortal\Http\Controllers\Controller;

class GetQuestionTypesController extends Controller
{
    public function __invoke(): array
    {
        $questionTypes = [];

        foreach (QuestionType::getAll() as $type) {
            $questionTypes[] = [
                'label' => $type->getLabel(),
                'value' => $type->getValue(),
            ];
        }

        return $questionTypes;
    }
}
