<?php

namespace EventPortal\Tests\Feature\Admin\Event;

use EventPortal\Tests\Support\Traits\SeedRolesAndPermissions;
use EventPortal\Tests\TestCase;
use Illuminate\Foundation\Testing\RefreshDatabase;

class QuestionTypesTest extends TestCase
{
    use RefreshDatabase, SeedRolesAndPermissions;

    /** @test **/
    public function can_get_question_types(): void
    {
        $response = $this
            ->actingAsSuperAdmin()
            ->get(route('admin.form.question.types'));

        $this->assertEquals([
            [
                'label' => 'Single choice answer',
                'value' => 'Checkbox',
            ],
            [
                'label' => 'Multiple choice answers',
                'value' => 'MultiSelect',
            ],
            [
                'label' => 'Dropdown',
                'value' => 'Select',
            ],
            [
                'label' => 'Single line text box',
                'value' => 'TextInput',
            ],
            [
                'label' => 'Paragraph text box',
                'value' => 'TextArea',
            ],
            [
                'label' => 'Date',
                'value' => 'DateInput',
            ],
            [
                'label' => 'Time',
                'value' => 'TimeInput',
            ],
        ], $response->original);
    }
}
